Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class ServantActivatorPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.PortableServer.ServantActivatorPOA
                  |
                  +--org.omg.PortableServer.ServantActivatorPOATie

All Implemented Interfaces:
  InvokeHandler, ServantActivatorOperations, ServantManagerOperations

public class ServantActivatorPOATie
extends ServantActivatorPOA

Interface definition : ServantActivator

Author:
  OpenORB Compiler

Constructor Summary
`ServantActivatorPOATie(ServantActivatorOperations tieObject)` Constructor
`ServantActivatorPOATie(ServantActivatorOperations tieObject, POA poa)` Constructor

Method Summary
`POA` | `_default_POA()` _default_POA method
`ServantActivatorOperations` | `_delegate()` Get the delegate
`void` | `_delegate(ServantActivatorOperations delegate_)` Set the delegate
`void` | `etherealize(byte[] oid, POA adapter, Servant serv, boolean cleanup_in_progress, boolean remaining_activations)` Operation etherealize
`Servant` | `incarnate(byte[] oid, POA adapter)` Operation incarnate

Methods inherited from class org.omg.PortableServer.ServantActivatorPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServantActivatorPOATie

    public ServantActivatorPOATie(ServantActivatorOperations tieObject)

  Constructor

### ServantActivatorPOATie

    public ServantActivatorPOATie(ServantActivatorOperations tieObject,
                                  POA poa)

  Constructor

Method Detail

### _delegate

    public ServantActivatorOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(ServantActivatorOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### incarnate

    public Servant incarnate(byte[] oid,
                             POA adapter)
                      throws ForwardRequest

  Operation incarnate

### etherealize

    public void etherealize(byte[] oid,
                            POA adapter,
                            Servant serv,
                            boolean cleanup_in_progress,
                            boolean remaining_activations)

  Operation etherealize

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD